libzypp: zypp::_logtoolsdetail::DumpMap< TMap > Class Template Reference

libzypp 17.38.8

zypp::_logtoolsdetail::DumpMap< TMap > Class Template Reference

std::map wrapper for stream output. More...

`#include <zypp-core/base/LogTools.h>`

## Classes
struct | Transformer

## Public Types
using | MapType = TMap
using | PairType = typename TMap::value_type
using | MapEntryType = MapEntry<PairType>
using | MapEntry_const_iterator = transform_iterator<Transformer, typename MapType::const_iterator>

## Public Member Functions
| DumpMap (const TMap &map_r)
const TMap & | map () const
MapEntry_const_iterator | begin () const
MapEntry_const_iterator | end () const

## Private Attributes
const TMap *const | _map

## Detailed Description

template<class TMap>
class zypp::_logtoolsdetail::DumpMap< TMap >

std::map wrapper for stream output.

Uses a transform_iterator to wrap the std::pair into MapEntry.

Definition at line 561 of file LogTools.h.

## Member Typedef Documentation

## ◆ MapType

template<class TMap>

using zypp::_logtoolsdetail::DumpMap< TMap >::MapType = TMap

Definition at line 564 of file LogTools.h.

## ◆ PairType

template<class TMap>

using zypp::_logtoolsdetail::DumpMap< TMap >::PairType = typename TMap::value_type

Definition at line 565 of file LogTools.h.

## ◆ MapEntryType

template<class TMap>

using zypp::_logtoolsdetail::DumpMap< TMap >::MapEntryType = MapEntry<PairType>

Definition at line 566 of file LogTools.h.

## ◆ MapEntry_const_iterator

template<class TMap>

using zypp::_logtoolsdetail::DumpMap< TMap >::MapEntry_const_iterator = transform_iterator<Transformer, typename MapType::const_iterator>

Definition at line 574 of file LogTools.h.

## Constructor & Destructor Documentation

## ◆ DumpMap()

template<class TMap>

zypp::_logtoolsdetail::DumpMap< TMap >::DumpMap | ( | const TMap & | map_r | ) |
| inline

Definition at line 577 of file LogTools.h.

## Member Function Documentation

## ◆ map()

template<class TMap>

const TMap & zypp::_logtoolsdetail::DumpMap< TMap >::map | ( |  | ) | const
| inline

Definition at line 581 of file LogTools.h.

## ◆ begin()

template<class TMap>

MapEntry_const_iterator zypp::_logtoolsdetail::DumpMap< TMap >::begin | ( |  | ) | const
| inline

Definition at line 584 of file LogTools.h.

## ◆ end()

template<class TMap>

MapEntry_const_iterator zypp::_logtoolsdetail::DumpMap< TMap >::end | ( |  | ) | const
| inline

Definition at line 587 of file LogTools.h.

## Member Data Documentation

## ◆ _map

template<class TMap>

const TMap* const zypp::_logtoolsdetail::DumpMap< TMap >::_map
| private

Definition at line 591 of file LogTools.h.

The documentation for this class was generated from the following file:

- zypp-core/base/LogTools.h